IBM Alphablox 9.5.7 Fix Pack 4 release notes

Fix readme


Abstract

IBM Alphablox Version 9.5.7 Fix Pack 4 (9.5.7 FP4) is available. This document describes the latest system requirements, the fixes, and known issues in this release.

Content

This document also contains steps to install and configure Alphablox 9.5.7 FP4 to work with Oracle WebLogic Server 10.3. Additionally, please note that the Alphablox 9.5.7 FP2 Blox Builder does not support Windows 7. Installing Alphablox server on Windows 7 is not supported.
Download the fix pack

You can download the fix pack from here:

http://www.ibm.com/support/docview.wss?&uid=swg24032326

System requirements

Supported platforms

  • xSeries and other OEM Intel-based servers
  • POWER: pSeries servers
  • Sun SPARC
  • zSeries (for zLinux only)
  • HP-UX Itanium

Server operating systems
  • Windows 2003 Server (Standard, Enterprise and Data Center editions) on x86 (32-bit) with SP2
  • Windows 2003 Server (Standard, Enterprise and Data Center editions) on AMD64 and EM64T (64 bit) with SP1
  • Windows 2008 Server (Standard, Enterprise and Data Center editions) on x86 and x86_64 (32-bit and 64-bit) with SP2
  • Windows 2008 Server R2 (64-bit)
  • Sun Solaris 9, 10 (64-bit)
  • AIX 5.3, 6.1 (64-bit)
  • Red Hat Enterprise Linux 5 (x86 (32-bit), AMD64 (64-bit), EM64T (64-bit), and POWER (64-bit))
  • SUSE Linux 10 (x86 (32-bit), AMD64 (64-bit), EM64T (64-bit), and POWER (64-bit))
  • SUSE Linux 11 (x86 (32-bit), AMD64 (64-bit), EM64T (64-bit), and POWER (64-bit))
  • zLinux (SUSE 10 64-bit only)

Portal server
  • WebSphere Portal Server Version 6.0.1

Application servers
  • WebSphere 6.1, 7.0, 7.0.0.3, and 7.0.0.7 . Clustering is supported.
  • Apache Tomcat 5.5.23, 5.5.25, and 6.0.32 (64-bit JVM is supported on all supported operating systems). Clustering is not supported
  • Oracle WebLogic 10.3. Clustering is not supported.

Supported databases

Database type
Databases
Multidimensional databases (32-bit versions, unless specified)
    • Hyperion Essbase 11.1.2.1 - 64 bit bridge interface (on Windows, Solaris, and AIX)
    • Hyperion Essbase 7.1.5, System 9.1.3, 9.3.1, and 11.1.1.3 - 32-bit bridge interface
    • Hyperion Essbase 11.1.1.3 - 64-bit bridge interface (on x86_64 Red Hat Linux only)
    • Hyperion Essbase Deployment Services (EDS) 7.1.5, System 9.1.3 and 9.3.1 - 32-bit bridge interface
    • Hyperion Essbase Integration Services (EIS) 7.1.5, System 9.1.3 and 9.3.1 - 32-bit bridge interface
    • Microsoft SQL Server 2008 Analysis Services - 32-bit bridge interface
    • Microsoft SQL Server 2005 Analysis Services - 32-bit bridge interface
    • IBM Cubing Services 9.7, 9.7.1, 9.7.2, and 9.7.3
Relational databases
    • DB2 Universal Database 9.5 for Linux, UNIX, and Windows
    • DB2 for Linux, UNIX, and Windows 9.7, 9.7.1, 9.7.2, and 9.7.3
    • DB2 9.1 for z/OS
    • Oracle Database 10, 11
    • Microsoft SQL Server 2005 SP1
    • Microsoft SQL Server 2008 SP1
    • Informix Dynamic Server 11
    • Apache Derby 10.0
Relational databases for Alphablox repository
    • DB2 Universal Database 9.5 for Linux, UNIX, and Windows
    • DB2 for Linux, UNIX, and Windows 9.7, 9.7.1, 9.7.2, and 9.7.3
    • Oracle Database 10, 11
    • Microsoft SQL Server 2005 SP1
    • Microsoft SQL Server 2008 SP1
    • Informix Dynamic Server 11
    • Apache Derby 10.0


Server operating systems for Essbase C API bridge (32-bit JVMs only)
  • Windows 2003 Server (Standard, Enterprise and Data Center editions) on x86 with SP1
  • Sun Solaris 9, 10
  • AIX 5.3, 6.1
  • Red Hat Enterprise Linux 5 on x86
  • Red Hat Enterprise Linux 5 on x86_64 (64-bit) using 64-bit JVM only

Integrated Development Environment
  • Rational Application Developer for WebSphere Software (RAD) V7 (English only)
  • Eclipse 3.2.2 plug-in (Eclipse and RAD)
  • Eclipse 3.4 plug-in (Eclipse and RAD)

Browsers
  • Internet Explorer 6.0 SP2, 7.0, 8.0, and 9.0
  • Firefox 3.5.10, 9, and 10

Browser operating systems
  • Windows 7 64-bit (Internet Explorer 8)
  • Windows XP Professional SP2
  • SUSE Linux 10 (32-bit only) (Firefox)
  • Red Hat Enterprise Linux 5 (32-bit only) (Firefox)

Eclipse Blox Builder Client supported OS
  • Windows XP Professional SP2 (32-bit)

Java Virtual Machines
  • WebLogic 10.3: JDK 1.6
  • WebSphere 6.1: JDK 1.5
  • WebSphere 7: JDK 1.6
  • Apache Tomcat: JDK 1.5 only (even though Apache supports both)

International Components for Unicode (ICU)
  • Alphablox currently includes ICU4J 3.4.5

NetCharts
  • NetCharts V5

Microsoft Excel
  • Excel 2003, 2007

Adobe Acrobat Reader
  • Adobe Acrobat Reader 8.0
  • Adobe Acrobat Reader 9.0

The following platforms are no longer supported:
  • Adobe Acrobat Reader 7.0
  • DB2 Universal Database V8.2.3 on Linux, UNIX, and Windows
  • Informix Dynamic Server 10.0, 10.5 (32-bit and 64-bit)
  • Oracle 9i, WebSphere 6.0: JDK 1.4.2
  • Oracle WebLogic 8.1.6
  • Microsoft SQL Server 2000 Analysis Services (32-bit)
  • DB2 for Linux, UNIX, and Windows 9.1
  • DB2 8 for z/OS
  • Eclipse 3.2.2 plug-in (Eclipse and RAD)
  • Firefox 3.1
  • Browser OS - Red Hat Enterprise Linux 4 (32 bit only) (Firefox)
  • WebLogic 8: JDK 1.4.2

Installing IBM Alphablox to work with Oracle WebLogic Server 10.3

Alphablox 9.5.7 Fix Pack 2, 3, and 4 supports Oracle WebLogic Server 10.3. To install Alphablox to work with Oracle WebLogic Server 10.3, download the Alphablox fix pack from the IBM Support website, then complete the following steps:

1. Create a new WebLogic domain:
    1. Launch the WebLogic Quick Start wizard by running the quickstart.sh file in a directory like: /root/Oracle/Middleware/wlserver_10.3/common/quickstart/ , and select Getting started with WebLogic Server 10.3.1.
    2. On the Welcome page, select Create a new WebLogic domain (default), then click Next.
    3. On the Select Domain Source page, select Generate a domain configured automatically to support the following products: (default), and click Next.
    4. Specify the domain name and domain location, then click Next.
    5. Enter the user ID and password that you used when you installed WebLogic 10.3, then click Next.
    6. Leave everything as default, and click Next.
    7. On the Select Optional Configuration page, select all of the three check boxes, and click Next.
    8. On the Configure the Administration Server page, specify localhost as the listen address, leave other settings as default, and click Next.
    9. Use the default settings and click Next until you get to the Configuration Summary page.
    10. Click Create to create the domain.

2. Run the fix pack installation program to install Alphablox on WebLogic 10.3.

For UNIX platforms, on the Configure WebLogic page, make sure that startWebLogic.sh is specified as the WebLogic Server Start File. For example:
    WebLogic home \user_projects\domains\ domain name \bin\startWebLogic.sh

3. Configure users and groups:
    1. Start an Administration Server for your WebLogic domain.
    2. Open a Web browser and open the WebLogic Administration Console, and log in with your user ID and password.
    3. Click Security Realms.
    4. On the Summary of Security Realms page, click myrealm to open the page of settings for myrealm.
    5. Select the Users and Groups tab, then create and configure users and groups.
      1. Create a group called AlphabloxAdministrator under the security of myrealm.
      2. Create another group called AlphabloxUser under the security of myrealm.
      3. Create a user named admin, and add this user to the AlphabloxAdministrator and AlphabloxUser groups.
    6. Create and configure roles for applications, such as the AlphabloxPlatform application, the ApplicationStudio application, or your custom applications.
      1. In the Domain Structure panel of the home page, click Deployments to open the Summary of Deployments page.
      2. Click the application that you want to configure roles for from the list of application.
      3. On the settings page, select the Security tab, then click Roles.
      4. Click New to create two roles: AlphabloxAdministrator and AlphabloxUser.
      5. Click AlphabloxAdministrator, and add the condition that Caller is part of the two groups: AlphabloxAdministrator and AlphabloxUser.
      6. Click AlphabloxUser, and add the condition that Caller is part of the group AlphabloxUser.
After you complete the installation and configuration, you can create new WebLogic applications, or import existing WebLogic 8 applications. These applications will be available after you restart the WebLogic server. WebLogic supports deployments that are either packaged as archive files in the format of ear or war, or exploded archive directories. However, the deployments that you want to import to Alphablox must be exploded archive directories.

Fixes included in this fix pack

APAR
Abstract
PJ39641 NPE exception when changing a chartblox bar color
PJ40167 Add New bin 10000 to a Custom Histrogram chart causes java.lang.ArrayIndexOutOfBoundsException
PJ39364 RGR: Abx Page Behavior changed in Abx 957
PJ39635 Alphablox generates "bad" MDX for SSAS data source, when drilldown to leaf level option specified
PJ40171 Installer not displaying startWebLogic.cmd option in WebLogic configuration screen
PJ38297, PJ40170 Out of Memory Error in com.alphablox.server.data.essbase.EssbaseOutline
PJ40165 install/upgrade overwwrite on customized CSS file and Default.xls files


Known issues
  • Grids do not render properly in a browser window. If you alter the !DOCTYPE element to specify anything other than full quirks mode, this causes the grid to display incorrectly. For example, !DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN". For full quirks mode to display grids correctly, do not specify a !DOCTYPE element or set. (00988523)
  • Incorrect installation log entry from installing Alphablox on Windows 2008. If you install Alphablox on Windows 2008 the Alphablox installer will incorrectly log that Alphablox was installed on Windows Vista. (00661447)
  • Essbase out of memory errors. If you receive memory error messages, update to the 64-bit version of Essbase 11.1.1.3, or 11.1.2.1 to elevate out of memory errors. (00689142)

Known issues and limitations are documented in the Support knowledge base at: www.ibm.com/software/data/db2/alphablox/support.html.

Related information

Download Alphabox 9.5.7 FP4

Rate this page:

(0 users)Average rating

Document information


More support for:

DB2 Alphablox

Software version:

9.5

Operating system(s):

AIX, Linux, Solaris, Windows

Software edition:

All Editions

Reference #:

1590027

Modified date:

2014-06-10

Translate my page

Machine Translation

Content navigation